[FFmpeg-cvslog] FATE: add capability for audio encode/ decode tests with fuzzy psnr comparison

Justin Ruggles git at videolan.org
Sat Mar 17 05:03:27 CET 2012


ffmpeg | branch: master | Justin Ruggles <justin.ruggles at gmail.com> | Sat Mar 10 16:37:41 2012 -0500| [90e5b58a53d863a43a86eea81295097dae13b25a] | committer: Justin Ruggles

FATE: add capability for audio encode/decode tests with fuzzy psnr comparison

This allows for testing floating-point audio encoders across different
platforms where exact comparisons are unreliable due to float rounding
differences.

> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=90e5b58a53d863a43a86eea81295097dae13b25a
---

 tests/fate-run.sh |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 40a4fe2..dcfbc84 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -85,6 +85,16 @@ pcm(){
     avconv "$@" -vn -f s16le -
 }
 
+enc_dec_pcm(){
+    out_fmt=$1
+    pcm_fmt=$2
+    shift 2
+    encfile="${outdir}/${test}.${out_fmt}"
+    cleanfiles=$encfile
+    avconv -i $ref "$@" -f $out_fmt -y $encfile || return
+    avconv -i $encfile -c:a pcm_${pcm_fmt} -f wav -
+}
+
 regtest(){
     t="${test#$2-}"
     ref=${base}/ref/$2/$t



More information about the ffmpeg-cvslog mailing list